Bug Hunting Session
Bug 48025 - EDITING AUTOFILTER: Autofilter settings stay with the column number when deleting columns
Summary: EDITING AUTOFILTER: Autofilter settings stay with the column number when dele...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoFilter
  Show dependency treegraph
 
Reported: 2012-03-29 00:47 UTC by Thomas Thym
Modified: 2019-03-13 00:26 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
File to test / reproduce the bug. (8.44 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-11-22 08:16 UTC, Thomas Thym
Details
Description of the bug with screenshots (35.59 KB, application/vnd.oasis.opendocument.text)
2012-11-22 08:18 UTC, Thomas Thym
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Thym 2012-03-29 00:47:44 UTC
The autofilter criteria remains with the column (e.g. B) when a column left of the column or the column itself is deleted instead of moving with the content (in this case to column A).

How to reproduce:

1. Create a table in calc with 3 colums

Col_A	Col_B	Col_C
a	1	a1
b	2	a2
c	3	a3
a	1	a1
b	2	a2
c	3	1

2. Set autofilter to column B (e.g. "1")

3. Delete column A.

4. The filter setting "1" stays with column B. (The filter is not automatically updated. The tab stays as it was before column A was deleted.)

Expected behaviour:

The filter should stay with the content in this case column "Col_B" (in that case move to column A).

Note: You can't insert columns when the autofilter is used, but you can delete. If would be nice if the solution would not be to also block deleting columns when the autofilter is in use ;-)
Comment 1 sasha.libreoffice 2012-06-22 03:04:08 UTC
Thanks for bugreport
Sorry, can not understand this place:
> 4. The filter setting "1" stays with column B. (The filter is not automatically
> updated. The tab stays as it was before column A was deleted.)
Please, attach screenshot of this problem
Comment 2 bfoman (inactive) 2012-07-03 05:12:32 UTC
Confirmed with:
LO 3.5.4.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Autofilter set on column B, when A is deleted, do not follow to column A, stays at B instead.

(In reply to comment #0)
> Note: You can't insert columns when the autofilter is used, but you can delete.

Confirmed.

Users migrating from Excel 2010 could be surprised.
Comment 3 sasha.libreoffice 2012-07-06 04:45:22 UTC
Still can not reproduce in 3.5.4 on Fedora 64 bit.
It is either Windows specific bug or I doing something wrong.
Please, attach screenshot of this bug
Comment 4 Thomas Thym 2012-11-22 08:16:21 UTC
Created attachment 70414 [details]
File to test / reproduce the bug.

This is the file of the mentioned example to reproduce the bug. I tested is with LibreOffice 3.6.3 on Windows XP (32-bit) and LibreOffice 3.6.1 and 3.6.3 on Linux (OpenSUSE 12.1, 64-bit).
Comment 5 Thomas Thym 2012-11-22 08:18:27 UTC
Created attachment 70415 [details]
Description of the bug with screenshots

I added are more detailed description of the bug, including screenshots. If you need more information I will try to provide it. (And this time quicker.)
Comment 6 sasha.libreoffice 2012-11-22 10:34:49 UTC
Thanks for attachments
reproduced using first attachment and initial description 
in 3.4.2 on Windows XP 32 bit
in 3.6.3 on RFR 17 64 bit
Comment 7 Thomas Thym 2013-03-07 15:27:22 UTC
This bug still exists in LO 4.0.1.2
Comment 8 QA Administrators 2015-02-19 15:39:50 UTC Comment hidden (obsolete)
Comment 9 Buovjaga 2015-03-07 14:36:43 UTC
Reproduced with file and instructions provided by Thomas.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 10 tommy27 2016-04-16 07:23:02 UTC Comment hidden (obsolete)
Comment 11 Arie1 2017-03-14 16:51:46 UTC
This error still exists in the Version 5.2.5.1 release which I have running.
Windows 10 Home.
Comment 12 QA Administrators 2018-06-18 02:41:59 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug